<div id="cssmenu">
	<ul aria-label="#language ("site-pages")" role="menubar">
		#foreach ($nav_item in $nav_items)
			#set ($nav_item_attr_has_popup="")
			#set ($nav_item_attr_selected="")
			#set ($nav_item_css_class="")

			#if ($nav_item.isSelected())
				#set ($nav_item_attr_selected="aria-selected='true'")
				#set ($nav_item_css_class = "active")
			#end

			#if ($nav_item.hasChildren())
				#set ($nav_item_attr_has_popup="aria-haspopup='true'")
			#end

			<li class="$nav_item_css_class" id="layout_$nav_item.getLayoutId()" $nav_item_attr_selected role="presentation">
				<a aria-labelledby="layout_$nav_item.getLayoutId()" href="$nav_item.getURL()" $nav_item_attr_has_popup $nav_item.getTarget() role="menuitem"><span>$nav_item.icon() $nav_item.getName()</span></a>

				#if ($nav_item.hasChildren())
					<ul class="child-menu" role="menu">
						#foreach ($nav_child in $nav_item.getChildren())
							#set ($nav_child_attr_selected="")
							#set ($nav_child_css_class = "false")

							#if ($nav_child.isSelected())
								#set ($nav_child_attr_selected="aria-selected='true'")
								#set ($nav_child_css_class = "selected")
							#end

							<li class="$nav_child_css_class" id="layout_$nav_child.getLayoutId()" $nav_child_attr_selected role="presentation">
								<a aria-labelledby="layout_$nav_child.getLayoutId()" href="$nav_child.getURL()" $nav_child.getTarget() role="menuitem">$nav_child.getName()</a>
							</li>
						#end
					</ul>
				#end
			</li>
		#end
	</ul>
</div>